% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methods_LRTest.R
\name{MMC_bounds}
\alias{MMC_bounds}
\title{MMC nuisance parameter bounds for univariate models}
\usage{
MMC_bounds(theta_0, mdl_h0, mdl_h1, con)
}
\arguments{
\item{mdl_h0}{List with restricted model properties.}

\item{mdl_h1}{List with unrestricted model properties.}

\item{con}{List with control options provided to MMC LRT procedure.}

\item{theta}{vector of parameter values being considered.}
}
\value{
List with \code{theta_low}, vector of parameter lower bounds, and \code{theta_upp}, vector of parameter upper bounds.
}
\description{
This function is used to determine the lower and upper bounds for the MMC LRT parameter search.
}
\references{
Rodriguez Rondon, Gabriel and Jean-Marie Dufour. 2022. "Simulation-Based Inference for Markov Switching Models” \emph{JSM Proceedings, Business and Economic Statistics Section: American Statistical Association}.

Rodriguez Rondon, Gabriel and Jean-Marie Dufour. 2022. “Monte Carlo Likelihood Ratio Tests for Markov Switching Models.” \emph{Unpublished manuscript}.
}
\keyword{internal}
