% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{paramList_MSVARmdl}
\alias{paramList_MSVARmdl}
\title{Parameter list for Markov-switching vector autoregressive model}
\usage{
paramList_MSVARmdl(theta, q, p, k, msmu, msvar)
}
\arguments{
\item{\code{theta}}{Vector of parameters.}

\item{\code{q}}{Number of time series.}

\item{\code{p}}{Number of autoregressive lags.}

\item{\code{k}}{Number of regimes.}

\item{\code{msmu}}{Boolean indicating if the mean switches with regime.}

\item{\code{msvar}}{Boolean indicating if the variance switches with regime.}
}
\value{
List with the mean, variance, transition matrix, limiting probabilities, and a vector of state indicators.
}
\description{
This function takes the parameter vector of interest and converts it to a list with specific parameter vectors needed for multivariate Markov-switching functions.
}
\keyword{internal}
